#include <tads.h>

/*
 * An XTads test game:
 * <banner>...</banner> tag in banner
 */

main(args)
{
	local b0 = nil;
	
	"A banner test game for XTads.\b";
   "text in main output\b";
   inputKey();
   
   local b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignTop,
                       20, BannerSizePercent,
                       BannerStyleBorder);
   bannerSay(b1, 'in b1 before tag<banner id=b2> IN TAG</banner> after tag');
   inputKey();
   
   "more text in main output\b";
   inputKey();

   local b2 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignBottom,
                       20, BannerSizePercent,
                       BannerStyleBorder);
   bannerSay(b2, 'in b2 before tag<banner id=b2> IN TAG');
   inputKey();

   bannerSay(b2, ' STILL IN TAG?</banner> after tag');
   inputKey();
   
   "\bPress another key to exit...\n";
   inputKey();
}
